Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## turtlekit.simulations.hunt
Class Predator

    java.lang.Object
      madkit.kernel.AbstractAgent
          turtlekit.kernel.Turtle
              turtlekit.simulations.hunt.Predator

All Implemented Interfaces:
  java.io.Serializable, ReferenceableAgent

    public class Predator

extends Turtle

A Predator

Version:
  1.1 17/10/2000
Author:
  Fabien MICHEL
See Also:
  Serialized Form

Field Summary

Fields inherited from class turtlekit.kernel.Turtle
`East, North, NorthEast, NorthWest, South, SouthEast, SouthWest, West`

Constructor Summary
`Predator(int vr)`

Method Summary
`java.lang.String` | `live()`
`void` | `setup()`

Methods inherited from class turtlekit.kernel.Turtle
`activate, bk, countTurtlesAt, countTurtlesHere, createTurtle, defaultAction, die, distance, distanceNowrap, dropMark, dropMarkAt, dx, dy, end, fd, getColor, getHeading, getHidden, getMark, getMarkAt, getPatchColor, getPatchColorAt, getPatchVariable, getPatchVariableAt, getSimulationGroup, getTurtleWithID, getWorldHeight, getWorldWidth, giveUpRole, home, incrementPatchVariable, incrementPatchVariableAt, isMarkPresent, isMarkPresentAt, isPlayingRole, moveTo, moveTo, mySelf, playRole, randomHeading, realX, realY, setColor, setHeading, setHidden, setPatchColor, setPatchColorAt, setX, setXY, setY, toString, towards, towardsNowrap, turnLeft, turnRight, turtlesAt, turtlesHere, xcor, ycor`

Methods inherited from class madkit.kernel.AbstractAgent
`broadcastMessage, broadcastMessage, connectedWithCommunity, createGroup, createGroup, debug, disposeMyGUI, foundGroup, getAddress, getAgentInformation, getAgentsWithRole, getAgentsWithRole, getAgentWithRole, getAgentWithRole, getAvailableCommunities, getBean, getController, getCurrentKernelAddress, getDebug, getExistingGroups, getExistingGroups, getExistingRoles, getExistingRoles, getGroups, getGUIObject, getMessageBoxSize, getMyGroups, getMyGroups, getMyRoles, getMyRoles, getName, getRoles, hasGUI, initGUI, isBelongingToGroup, isBelongingToGroup, isCommunity, isGroup, isGroup, isMemberOf, isMemberOf, isMessageBoxEmpty, isRole, isRole, joinGroup, killAgent, launchAgent, launchAgent, leaveGroup, leaveGroup, leaveRole, leaveRole, nextMessage, print, println, receiveMessage, redisplayMyGUI, requestRole, requestRole, requestRole, restoreAgent, sendMessage, sendMessage, sendMessage, setBean, setController, setDebug, setGUIObject, setName, setOutput, setOutputWriter, windowClosing`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### Predator

    public Predator(int vr)

Method Detail

### setup

    public void setup()

  Overrides:
    `setup` in class `Turtle`

### live

    public java.lang.String live()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © Madkit Team (O. Gutknecht, J. Ferber, F. Michel et al.) All Rights Reserved.